### Virtual Method

# Foundry LlmResource load_json

since: 1.1

#### Declaration [src]

    DexFuture*
    load_json (
      FoundryLlmResource* self
    )

#### Description [src]

If the content_type is “application/json” then the resource may implement this function to provide a JsonNode instead of a serialized byte buffer. This is helpful in situations where the protocol can pass structured information for JSON such as Model Context Protocol.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `JsonNode` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.